<?php
session_start();
require_once 'config.php';

// Ensure user is logged in
$current_user = $_SESSION['username'];

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the updated email and phone
    $email = $conn->real_escape_string($_POST['email']);
    $phone = $conn->real_escape_string($_POST['phone']);
    
    // Profile picture upload logic
    $profile_picture = $_FILES['profile_picture']['name'];
    $target_dir = "uploads/";
    $target_file = $target_dir . basename($profile_picture);
    $uploadOk = 1;
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    
    if (!empty($profile_picture)) {
        // Validate the uploaded file
        $check = getimagesize($_FILES['profile_picture']['tmp_name']);
        if ($check !== false) {
            $uploadOk = 1;
        } else {
            echo "<script>alert('File is not an image.');</script>";
            $uploadOk = 0;
        }

        if ($_FILES["profile_picture"]["size"] > 2097152) {
            echo "<script>alert('Sorry, your file is too large. Maximum size allowed is 2MB.');</script>";
            $uploadOk = 0;
        }

        if (!in_array($imageFileType, ['jpg', 'jpeg', 'png', 'gif'])) {
            echo "<script>alert('Sorry, only JPG, JPEG, PNG, & GIF files are allowed.');</script>";
            $uploadOk = 0;
        }

        if ($uploadOk == 1) {
            if (move_uploaded_file($_FILES["profile_picture"]["tmp_name"], $target_file)) {
                // Update the profile picture in the database
                $sql = "UPDATE employees SET profile_picture='$target_file' WHERE username='$current_user'";
                if ($conn->query($sql) === TRUE) {
                    echo "<script>alert('Profile picture updated successfully.');</script>";
                } else {
                    echo "<script>alert('Error updating profile picture: " . $conn->error . "');</script>";
                }
            } else {
                echo "<script>alert('Sorry, there was an error uploading your file.');</script>";
            }
        }
    }

    // Update email and phone in the database
    $sql = "UPDATE employees SET email='$email', phone='$phone' WHERE username='$current_user'";
    
    if ($conn->query($sql) === TRUE) {
        echo "<script>
            alert('Profile updated successfully.');
            window.location.href = 'profile.php';
        </script>";
    } else {
        echo "<script>alert('Error updating profile: " . $conn->error . "');</script>";
    }
}

$conn->close();
?>